### Method

# Gdk CicpParams build_color_state

since: 4.16

#### Declaration [src]

    GdkColorState*
    gdk_cicp_params_build_color_state (
      GdkCicpParams* self
      GError** error
    )

#### Description [src]

Creates a new `GdkColorState` object for the cicp parameters in `self`.

Note that this may fail if the cicp parameters in `self` are not supported by GTK. In that case, `NULL` is returned, and `error` is set with an error message that can be presented to the user.

Available since: 4.16

#### Return value

Type: `GdkColorState`

A newly allocated `GdkColorState`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.